package app;

public class _0_Matrices {

	// Anpassungs-Matrizen
	public static double[][] M_JavaNormalized = new double[][] {
		{ -(_0_Constants.S1) * Math.sin(_0_Constants.ALPHA), 1, 0, _0_Constants.START_X},
		{ -(_0_Constants.S1) * Math.cos(_0_Constants.ALPHA), 0, -1, _0_Constants.START_Y},
	};
	public static double[][] M_JavaNormalized_Umriss = new double[][] {
		{ -(_0_Constants.S1) * Math.sin(_0_Constants.ALPHA), 1, 0},
		{ -(_0_Constants.S1) * Math.cos(_0_Constants.ALPHA), 0, -1},
	};
	
	// Dreh-Matrizen
	public static double[][] DrehungX(double winkel) {
		return new double[][] { 
			{ 1, 0, 0}, 
			{ 0, Math.cos(winkel), -Math.sin(winkel) },
			{ 0, Math.sin(winkel), Math.cos(winkel) } };
	}
	public static double[][] DrehungY(double theta) {
		return new double[][] { 
			{ Math.cos(theta), 0, -Math.sin(theta) }, 
			{ 0, 1, 0 },
			{ Math.sin(theta), 0, Math.cos(theta) } 
			};
	}
	public static double[][] DrehungZ(double phi) {
		return new double[][] { 
			{ Math.cos(phi), -Math.sin(phi), 0 }, 
			{ Math.sin(phi), Math.cos(phi), 0 },
			{ 0, 0, 1 } 
			};
	}
	
	// Vektoren
	public static double[][] M_START = START(_0_Constants.PHI_S,_0_Constants.THETA_S);
	public static double[][] START(double _phi, double _theta){
		return new double[][] {
			{_0_Constants.RADIUS * Math.cos( Math.toRadians(_theta) ) * Math.cos( Math.toRadians(_phi) )},
			{_0_Constants.RADIUS * Math.cos( Math.toRadians(_theta) ) * Math.sin( Math.toRadians(_phi) )},
			{_0_Constants.RADIUS * Math.sin( Math.toRadians(_theta) ) }
		};
	}
	public static double[][] M_END = END(_0_Constants.PHI_E,_0_Constants.THETA_E);
	public static double[][] END(double _phi, double _theta){
		return new double[][] {
			{_0_Constants.RADIUS * Math.cos( Math.toRadians(_theta) ) * Math.cos( Math.toRadians(_phi) )},
			{_0_Constants.RADIUS * Math.cos( Math.toRadians(_theta) ) * Math.sin( Math.toRadians(_phi) )},
			{_0_Constants.RADIUS * Math.sin( Math.toRadians(_theta) ) }
		};
	}
	
}
